#include <linux/version.h>

#if KERNEL_VERSION(5, 14, 0) == LINUX_VERSION_CODE
#include "core/generic/5.14/regmap-mmio.c"
#elif KERNEL_VERSION(4, 19, 0) == LINUX_VERSION_CODE
#include "core/generic/4.19/regmap-mmio.c"
#else
#error "Unsupported kernel version, backporting another version of regmap-mmio is required"
#endif
