// SPDX-License-Identifier: GPL-2.0-or-later
/*
*  Support for Digigram AlpX PCI-e boards
*
*  Copyright (c) 2024 Digigram Digital (info@digigram.com)
*/
#ifndef _ALPX_XDMA_H_
#define _ALPX_XDMA_H_


#include <linux/module.h>
#include <linux/pci.h>
#include <linux/platform_device.h>


struct platform_device *alpx_xdma_register(struct pci_dev *pci_dev);

void alpx_xdma_unregister(struct pci_dev *pci_dev,
				 struct platform_device *xdma_pdev);

#endif /*_ALPX_XDMA_H_*/
